Subject: Re: RFC: how to control device specific features. sysfs or mod param?

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Sat, 05 Dec 2009 02:29:39 -0800

On Sat, 2009-12-05 at 02:25 -0800, David Miller wrote:
> From: Peter P Waskiewicz Jr <[email-masked]>
> Date: Sat, 05 Dec 2009 02:22:53 -0800
> 
> > Yes, I looked at either ethtool or extending any of the existing
> > rtnetlink interfaces.  But my problem with those is this setting is very
> > specific to my hardware, and I'm not sure anyone else could benefit from
> > this.
> > 
> > I could try and make it as generic as possible, say pass a 32 or 64-bit
> > generic bitfield to a driver through an ethtool operation, and each
> > driver would apply some secret sauce based on the bitfield?
> 
> We support device specific statistics in a nice way in ethtool, why
> don't we do something similar for device specific settings?
> 
> A variable length array of names (strings) and values.
> 
> This is pretty straightforward for what %99.9999 of uses will be,
> boolean enables.  If we make the value type a u32 we can handle pretty
> much all the other cases as well.

That does make sense.  I'll try and put something together to make this
work.

Thanks Dave,
-PJ